Skip site navigation (1) Skip section navigation (2)

Re: Upgrading our minimum required flex version for 8.5

From: Peter Eisentraut <peter_e(at)gmx(dot)net>
To: pgsql-hackers(at)postgresql(dot)org
Cc: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>, "Kevin Grittner" <Kevin(dot)Grittner(at)wicourts(dot)gov>, "Alvaro Herrera" <alvherre(at)commandprompt(dot)com>
Subject: Re: Upgrading our minimum required flex version for 8.5
Date: 2009-07-02 17:39:21
Message-ID: 200907022039.22574.peter_e@gmx.net (view raw or flat)
Thread:
Lists: pgsql-hackers
On Thursday 02 July 2009 19:46:04 Tom Lane wrote:
> "Kevin Grittner" <Kevin(dot)Grittner(at)wicourts(dot)gov> writes:
> > Then I take it back -- the new flex versions would have little or no
> > impact on me.  Worst case, I might need to download a snapshot to
> > apply my patch for testing on the "big" machines.  If I understood
> > what make options I could use on my machine to create derived files
> > for other machines, even that would go away.
>
> Peter or Marc could clue you in a bit better, but I think it's as simple
> as saying "make dist" at the top level of a modified source tree.  This
> gets you a source tarball the same way the release tarballs are made.

make distprep is what prepares those files.  make dist depends on make 
distprep and then builds a tarball out of everything.

In response to

Responses

pgsql-hackers by date

Next:From: Jaime CasanovaDate: 2009-07-02 17:44:07
Subject: Re: Upgrading our minimum required flex version for 8.5
Previous:From: Kevin GrittnerDate: 2009-07-02 17:22:28
Subject: Re: Upgrading our minimum required flex version for 8.5

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group